HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: HighLevelMonitorConfigurationAPI, enum: MC_GAIN_TYPE

Package com.sun.jna.platform.win32

# Enum Class HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE

java.lang.Object
java.lang.Enum<HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE>
com.sun.jna.platform.win32.HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE>`, `Constable`

Enclosing interface:
  HighLevelMonitorConfigurationAPI

public static enum HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE extends Enum<HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE>
Specifies whether to get or set a monitor's red, green, or blue gain.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MC_BLUE_GAIN`
  Blue gain
  `MC_GREEN_GAIN`
  Green gain
  `MC_RED_GAIN`
  Red gain

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MC_RED_GAIN

    public static final HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE MC_RED_GAIN
    Red gain

  - ### MC_GREEN_GAIN

    public static final HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE MC_GREEN_GAIN
    Green gain

  - ### MC_BLUE_GAIN

    public static final HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE MC_BLUE_GAIN
    Blue gain

- ## Method Details

  - ### values

    public static HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null